/*******************************************************************************
 * Copyright (c) 2012 Simon Urli.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Simon Urli - initial API and implementation
 ******************************************************************************/
package fr.unice.i3s.modalis.yourcast.multipleSPL;

import fr.unice.i3s.modalis.yourcast.featureModel.FeatureModel;

/**
 * This interface allows to define restriction functions to be used in the associations.
 * A restriction function should be a singleton as the method could be used in a static way.
 * @author urli
 *
 */
public interface RestrictionFunction {
	public void restrictFeatureModel(FeatureModel target, FeatureModel source);
}
